- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionViewItemV3 Class Reference

Search for all occurrences

## Detailed Description

Definition at line 590 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionViewItemV3:
[legend]

List of all members.

## Public Types
enum | StyleOptionVersion { Version = 3 }
## Public Member Functions
| QStyleOptionViewItemV3 ()
| QStyleOptionViewItemV3 (const QStyleOptionViewItemV3 &other)
| QStyleOptionViewItemV3 (const QStyleOptionViewItem &other)
QStyleOptionViewItemV3 & | operator= (const QStyleOptionViewItem &other)
## Public Attributes
QLocale | locale
const QWidget * | widget
## Protected Member Functions
| QStyleOptionViewItemV3 (int version)

## Member Enumeration Documentation

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOptionViewItemV2.

Reimplemented in QStyleOptionViewItemV4.

Definition at line 593 of file qstyleoption.h.

    { Version = 3 };

## Constructor & Destructor Documentation

QStyleOptionViewItemV3 | ( |  | ) |

QStyleOptionViewItemV3 | ( | const QStyleOptionViewItemV3 & | other | ) | `[inline]`

Definition at line 599 of file qstyleoption.h.

            : QStyleOptionViewItemV2(Version) { *this = other; }

QStyleOptionViewItemV3 | ( | const QStyleOptionViewItem & | other | ) |

QStyleOptionViewItemV3 | ( | int | version | ) | `[protected]`

## Member Function Documentation

QStyleOptionViewItemV3& operator= | ( | const QStyleOptionViewItem & | other | ) |

Reimplemented from QStyleOptionViewItemV2.

Reimplemented in QStyleOptionViewItemV4.

## Member Data Documentation

QLocale locale

Search for all occurrences

Definition at line 595 of file qstyleoption.h.

const QWidget* widget

Search for all occurrences

Definition at line 596 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionViewItemV3 QStyleOptionViewItemV3 QStyleOptionViewItemV3 QStyleOptionViewItemV3 QStyleOptionViewItemV3 QStyleOptionViewItemV3 QStyleOptionViewItemV3 QStyleOptionViewItemV3 QStyleOptionViewItemV3 QStyleOptionViewItemV3
QStyleOptionViewItemV3 QStyleOptionViewItemV3 QStyleOptionViewItemV3 QStyleOptionViewItemV3 QStyleOptionViewItemV3 QStyleOptionViewItemV3 QStyleOptionViewItemV3 QStyleOptionViewItemV3 QStyleOptionViewItemV3 QStyleOptionViewItemV3